#!/bin/bash

# $1: "on" or "parallel"
#   on: HEAD.
#   parallel: patched.
# $2: "0" or "5" or "10"
#   what percent of the data is sent.

path_parallel_apply=/home/fnst/install_pa/bin/
path_master=/home/fnst/install_head/bin/

if [ "$1" = "on" ]; then
    path=$path_master
elif [ "$1" = "parallel" ]; then
    path=$path_parallel_apply
fi

pub_port=5432
sub_port=5433

${path}pg_ctl -D data_sub stop -m i
rm -rf data_sub sub.log

${path}initdb -D data_sub -U postgres

cat << EOF >> data_sub/postgresql.conf
listen_addresses = '*'
wal_level = logical
port = $sub_port
shared_buffers = 8GB
checkpoint_timeout = 30min
max_wal_size = 20GB
min_wal_size = 10GB
autovacuum = off
EOF

${path}pg_ctl -D data_sub start -l sub.log

${path}psql -d postgres -U postgres -p $sub_port -c "CREATE TABLE large_test (\
     id int primary key,\
     num1 bigint,\
     num2 double precision,\
     num3 double precision\
);"

# host needs to be changed
${path}psql -d postgres -U postgres -p $sub_port -c "create subscription sub connection 'host=foo port=$pub_port dbname=postgres user=postgres ' publication pub_${2} with(streaming=${1});"
